Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSConstants

All Known Subinterfaces:
  JMSConnectionFactoryMBean, JMSDestCommonMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSDistributedDestinationMBean, JMSDistributedDestinationMemberMBean, JMSDistributedQueueMBean, JMSDistributedQueueMemberMBean, JMSDistributedTopicMBean, JMSDistributedTopicMemberMBean, JMSQueueMBean, JMSServerMBean, JMSSessionPoolMBean, JMSTemplateMBean, JMSTopicMBean, JMSVirtualDestinationMBean, VirtualDestinationMBean

public interface JMSConstants

This class holds the JMS constant property/attribute names and values.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `ACKNOWLEDGE_ALL`
`static java.lang.String` | `ACKNOWLEDGE_MODE_AUTO`
`static java.lang.String` | `ACKNOWLEDGE_MODE_CLIENT`
`static java.lang.String` | `ACKNOWLEDGE_MODE_DUPS_OK`
`static java.lang.String` | `ACKNOWLEDGE_MODE_NONE`
`static java.lang.String` | `ACKNOWLEDGE_ONE`
`static java.lang.String` | `ACKNOWLEDGE_PREVIOUS`
`static java.lang.String` | `DESTINATION_TYPE_QUEUE`
`static java.lang.String` | `DESTINATION_TYPE_TOPIC`
`static java.lang.String` | `DISCARD`
`static java.lang.String` | `ENABLED_DEFAULT`
`static java.lang.String` | `ENABLED_FALSE`
`static java.lang.String` | `ENABLED_TRUE`
`static java.lang.String` | `ERRORDESTINATION`
`static java.lang.String` | `FIFO`
`static java.lang.String` | `KEEP_NEW`
`static java.lang.String` | `KEEP_OLD`
`static java.lang.String` | `KEY_DIRECTION_ASCENDING`
`static java.lang.String` | `KEY_DIRECTION_DESCENDING`
`static java.lang.String` | `KEY_TYPE_BOOLEAN`
`static java.lang.String` | `KEY_TYPE_BYTE`
`static java.lang.String` | `KEY_TYPE_DOUBLE`
`static java.lang.String` | `KEY_TYPE_FLOAT`
`static java.lang.String` | `KEY_TYPE_INT`
`static java.lang.String` | `KEY_TYPE_LONG`
`static java.lang.String` | `KEY_TYPE_SHORT`
`static java.lang.String` | `KEY_TYPE_STRING`
`static java.lang.String` | `LOGGING`
`static java.lang.String` | `NO_DELIVERY`
`static java.lang.String` | `NON_PERSISTENT`
`static java.lang.String` | `PERSISTENT`
`static java.lang.String` | `PREEMPTIVE`
`static int` | `PRIORITY_DEFAULT`
`static int` | `PRIORITY_MAXIMUM`
`static int` | `PRIORITY_MINIMUM`
`static java.lang.String` | `RANDOM`
`static java.lang.String` | `ROUND_ROBIN`
`static long` | `SEND_QUOTA_BLOCKING_TIMEOUT`
`static java.lang.String` | `STORE_ENABLED_DEFAULT`
`static java.lang.String` | `STORE_ENABLED_FALSE`
`static java.lang.String` | `STORE_ENABLED_TRUE`
`static java.lang.String` | `STORE_TYPE_FILE`
`static java.lang.String` | `STORE_TYPE_JDBC`
`static java.lang.String` | `SYNCWRITE_CACHEFLUSH`
`static java.lang.String` | `SYNCWRITE_DIRECTWRITE`
`static java.lang.String` | `SYNCWRITE_DISABLED`
`static java.lang.String` | `TRANSACTION_MODE_51`
`static java.lang.String` | `TRANSACTION_MODE_NONE`
`static java.lang.String` | `TRANSACTION_MODE_XA`

Field Detail

### PERSISTENT

    public static final java.lang.String PERSISTENT

### NON_PERSISTENT

    public static final java.lang.String NON_PERSISTENT

### NO_DELIVERY

    public static final java.lang.String NO_DELIVERY

### KEEP_OLD

    public static final java.lang.String KEEP_OLD

### KEEP_NEW

    public static final java.lang.String KEEP_NEW

### PRIORITY_MAXIMUM

    public static final int PRIORITY_MAXIMUM

### PRIORITY_MINIMUM

    public static final int PRIORITY_MINIMUM

### PRIORITY_DEFAULT

    public static final int PRIORITY_DEFAULT

### DESTINATION_TYPE_QUEUE

    public static final java.lang.String DESTINATION_TYPE_QUEUE

### DESTINATION_TYPE_TOPIC

    public static final java.lang.String DESTINATION_TYPE_TOPIC

### STORE_TYPE_FILE

    public static final java.lang.String STORE_TYPE_FILE

### STORE_TYPE_JDBC

    public static final java.lang.String STORE_TYPE_JDBC

### ACKNOWLEDGE_MODE_AUTO

    public static final java.lang.String ACKNOWLEDGE_MODE_AUTO

### ACKNOWLEDGE_MODE_CLIENT

    public static final java.lang.String ACKNOWLEDGE_MODE_CLIENT

### ACKNOWLEDGE_MODE_DUPS_OK

    public static final java.lang.String ACKNOWLEDGE_MODE_DUPS_OK

### ACKNOWLEDGE_MODE_NONE

    public static final java.lang.String ACKNOWLEDGE_MODE_NONE

### KEY_DIRECTION_ASCENDING

    public static final java.lang.String KEY_DIRECTION_ASCENDING

### KEY_DIRECTION_DESCENDING

    public static final java.lang.String KEY_DIRECTION_DESCENDING

### KEY_TYPE_BOOLEAN

    public static final java.lang.String KEY_TYPE_BOOLEAN

### KEY_TYPE_BYTE

    public static final java.lang.String KEY_TYPE_BYTE

### KEY_TYPE_SHORT

    public static final java.lang.String KEY_TYPE_SHORT

### KEY_TYPE_INT

    public static final java.lang.String KEY_TYPE_INT

### KEY_TYPE_LONG

    public static final java.lang.String KEY_TYPE_LONG

### KEY_TYPE_FLOAT

    public static final java.lang.String KEY_TYPE_FLOAT

### KEY_TYPE_DOUBLE

    public static final java.lang.String KEY_TYPE_DOUBLE

### KEY_TYPE_STRING

    public static final java.lang.String KEY_TYPE_STRING

### TRANSACTION_MODE_XA

    public static final java.lang.String TRANSACTION_MODE_XA

### TRANSACTION_MODE_51

    public static final java.lang.String TRANSACTION_MODE_51

### TRANSACTION_MODE_NONE

    public static final java.lang.String TRANSACTION_MODE_NONE

### STORE_ENABLED_TRUE

    public static final java.lang.String STORE_ENABLED_TRUE

### STORE_ENABLED_FALSE

    public static final java.lang.String STORE_ENABLED_FALSE

### STORE_ENABLED_DEFAULT

    public static final java.lang.String STORE_ENABLED_DEFAULT

### ENABLED_TRUE

    public static final java.lang.String ENABLED_TRUE

### ENABLED_FALSE

    public static final java.lang.String ENABLED_FALSE

### ENABLED_DEFAULT

    public static final java.lang.String ENABLED_DEFAULT

### ACKNOWLEDGE_ALL

    public static final java.lang.String ACKNOWLEDGE_ALL

### ACKNOWLEDGE_PREVIOUS

    public static final java.lang.String ACKNOWLEDGE_PREVIOUS

### ACKNOWLEDGE_ONE

    public static final java.lang.String ACKNOWLEDGE_ONE

### ROUND_ROBIN

    public static final java.lang.String ROUND_ROBIN

### RANDOM

    public static final java.lang.String RANDOM

### DISCARD

    public static final java.lang.String DISCARD

### LOGGING

    public static final java.lang.String LOGGING

### ERRORDESTINATION

    public static final java.lang.String ERRORDESTINATION

### SYNCWRITE_DISABLED

    public static final java.lang.String SYNCWRITE_DISABLED

### SYNCWRITE_CACHEFLUSH

    public static final java.lang.String SYNCWRITE_CACHEFLUSH

### SYNCWRITE_DIRECTWRITE

    public static final java.lang.String SYNCWRITE_DIRECTWRITE

### SEND_QUOTA_BLOCKING_TIMEOUT

    public static final long SEND_QUOTA_BLOCKING_TIMEOUT

### FIFO

    public static final java.lang.String FIFO

### PREEMPTIVE

    public static final java.lang.String PREEMPTIVE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD